LocalBootstrap< Curve > Class Template Reference

Localised-term-structure bootstrapper for most curve types. More...

`#include <ql/termstructures/localbootstrap.hpp>`

## Public Member Functions

| LocalBootstrap (Size localisation=2, bool forcePositive=true)
void | setup (Curve *ts)
void | calculate () const

## Detailed Description

### template<class Curve>
class QuantLib::LocalBootstrap< Curve >

Localised-term-structure bootstrapper for most curve types.

This algorithm enables a localised fitting for non-local interpolation methods.

As in the similar class (IterativeBootstrap) the input term structure is solved on a number of market instruments which are passed as a vector of handles to BootstrapHelper instances. Their maturities mark the boundaries of the interpolated segments.

Unlike the IterativeBootstrap class, the solution for each interpolated segment is derived using a local approximation. This restricts the risk profile s.t. the risk is localised. Therefore, we obtain a local IR risk profile whilst using a smoother interpolation method. Particularly good for the convex-monotone spline method.